Update an existing contact informations
PUT
https://api.lws.net/v1/
operationIdputContact
Update an existing contact's information. Only provided fields will be updated.
Path parameters
-
contactinteger required -
ID of the contact to update
Request body
application/json
-
addressanyoptionalStreet address
-
postalstringoptionalPostal code
-
cityanyoptionalCity
-
countryanyoptionalCountry
-
phoneanyoptionalPhone number for the contact in the international format 00{country code}{number}
-
passwordanyoptionalPassword
Example request
{
"address": "1 rue de la Paix",
"postal": "75000",
"city": "Paris",
"country": "FR",
"phone": "0033612345678",
"password": "password"
}
Responses
200
Contact updated successfully
{
"code": 200,
"info": "Updated contact information",
"data": {
"address": "1 rue de la Paix",
"postal": "75000",
"city": "Paris",
"country": "FR",
"phone": "0033612345678",
"password": "password"
}
}
Response fields 9
-
codeinteger -
infostring -
dataobject -
addressanyStreet address
-
postalstringPostal code
-
cityanyCity
-
countryanyCountry
-
phoneanyPhone number for the contact in the international format 00{country code}{number}
-
passwordanyPassword
201
Nothing to update as no fields were provided
{
"code": 201,
"info": "Nothing to update"
}
Response fields 2
-
codeinteger -
infostring
400
Invalid parameters were passed
{
"code": 400,
"info": "Invalid input",
"data": {
"city": "Invalid field, refer to the associated regex for more details"
}
}
Response fields 3
-
codeinteger -
infostring -
dataobject
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "Details on the error"
}
Response fields 3
-
codeinteger -
infostring -
datastring
502
Invalid response returned. Generally means returned data was not expected.
{
"code": 502,
"info": "Invalid response from upstream server",
"data": {
"status": 500,
"error": "Internal Server Error"
}
}
Response fields 3
-
codeinteger -
infostring -
dataany[]